Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript.ast
Class ParseProblem

    java.lang.Object
      org.mozilla.javascript.ast.ParseProblem

    public class ParseProblem

extends java.lang.Object

Encapsulates information for a JavaScript parse error or warning.

Nested Class Summary
`static class` | `ParseProblem.Type`

Constructor Summary
`ParseProblem(ParseProblem.Type type, java.lang.String message, java.lang.String sourceName, int offset, int length)` Constructs a new ParseProblem.

Method Summary
`int` | `getFileOffset()`
`int` | `getLength()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSourceName()`
`ParseProblem.Type` | `getType()`
`void` | `setFileOffset(int offset)`
`void` | `setLength(int length)`
`void` | `setMessage(java.lang.String msg)`
`void` | `setSourceName(java.lang.String name)`
`void` | `setType(ParseProblem.Type type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseProblem

    public ParseProblem(ParseProblem.Type type,
                        java.lang.String message,
                        java.lang.String sourceName,
                        int offset,
                        int length)

  Constructs a new ParseProblem.

Method Detail

### getType

    public ParseProblem.Type getType()

### setType

    public void setType(ParseProblem.Type type)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String msg)

### getSourceName

    public java.lang.String getSourceName()

### setSourceName

    public void setSourceName(java.lang.String name)

### getFileOffset

    public int getFileOffset()

### setFileOffset

    public void setFileOffset(int offset)

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD